## edict-el 1.06

=== Makefile ===
# Makefile for Edict

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.06
AUTHOR_VERSION = 0.9.8
MAINTAINER = Stephen J. Turnbull <turnbull@sk.tsukuba.ac.jp>
PACKAGE = edict
PKG_TYPE = regular
REQUIRES = mule-base xemacs-base
CATEGORY = mule

EXTRA_SOURCES = edictj.demo ts-mode.el

ELCS = edict.elc dui.elc edict-morphology.elc edict-japanese.elc \
       edict-english.elc edict-edit.elc edict-test.elc dui-registry.elc

COMPATIBILITY_FLAGS = -eval "(setq byte-compile-print-gensym nil)"

include ../../XEmacs.rules

ifeq ($(BUILD_MULE),t)

all:: $(ELCS) auto-autoloads.elc

srckit: srckit-std

binkit: binkit-common

else
all::
	@echo Edict requires XEmacs/Mule to build

# Two noops
srckit:
binkit:

endif

=== debian/changelog ===
edict-el (1.06-12) unstable; urgency=medium

  * ACK previous NMUs. Thanks, Bastian and Holger!
  * Update Vcs-* and Rules-Requires-Root in debian/control.
  * Source package is now on Salsa.
  * Bug fix: deprecated macro syntax, thanks to <abegui@gmx.com> (Closes:
    #1003781).

 -- Roland Mas <lolando@debian.org>  Tue, 14 Feb 2023 11:34:11 +0100

edict-el (1.06-11.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format (Closes: #1007363).

 -- Bastian Germann <bage@debian.org>  Tue, 29 Nov 2022 00:36:59 +0100

edict-el (1.06-11.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 16:34:19 +0100

edict-el (1.06-11) unstable; urgency=medium

  * Upgrade Depends: to handle emacs24, patch from Gabriele Giacone
    <1o5g4r8o@gmail.com> (closes: #754001).
  * Bumped Standards-Version: to 3.9.5 while I'm at it (no changes).

 -- Roland Mas <lolando@debian.org>  Tue, 09 Sep 2014 09:09:18 +0200

edict-el (1.06-10) unstable; urgency=low

  * Disable several dh_auto_* during build (closes: #724052).
  * Updated Standards-Version to 3.9.4 (no changes needed).

 -- Roland Mas <lolando@debian.org>  Mon, 23 Sep 2013 11:46:05 +0200

edict-el (1.06-9) unstable; urgency=low

  * Switched section to lisp.

 -- Roland Mas <lolando@debian.org>  Fri, 19 Nov 2010 11:31:48 +0100

edict-el (1.06-8) unstable; urgency=low

  * Deduplicate search results (closes: #388580).
  * Updated dependency to emacs23 | emacsen.
  * Fixed Lintian warnings and errors.
  * Switched to Debhelper 7.
  * Updated Standards-Version (no changes).

 -- Roland Mas <lolando@debian.org>  Fri, 19 Nov 2010 11:00:21 +0100

edict-el (1.06-7) unstable; urgency=low

  * Replaced dependency on emacs21 | emacsen with emacs22 | emacsen.

 -- Roland Mas <lolando@debian.org>  Sat, 28 Jul 2007 16:54:56 +0200

edict-el (1.06-6) unstable; urgency=low

  * Bumped Standards-Version to 3.6.0 (no changes needed).
  * The edict package is now free and has been moved to the main section,
    hence edict-el can move out of non-free and into main too.
  * Replaced dependency on emacs20 | emacsen with emacs21 | emacsen.

 -- Roland Mas <lolando@debian.org>  Wed, 23 Jul 2003 20:34:02 +0200

edict-el (1.06-5) unstable; urgency=low

  * Bumped Standards-Version to 3.5.7, with necessary modifications.

 -- Roland Mas <lolando@debian.org>  Tue, 10 Sep 2002 13:26:20 +0200

edict-el (1.06-4) unstable; urgency=low

  * Moved to contrib (closes: #98233).

 -- Roland Mas <lolando@debian.org>  Mon, 21 May 2001 12:22:28 +0200

edict-el (1.06-3) unstable; urgency=low

  * Fixed autoloads.

 -- Roland Mas <lolando@debian.org>  Thu, 26 Apr 2001 14:47:02 +0200

edict-el (1.06-2) unstable; urgency=low

  * Removed the keybindings from the startup file, put them in an example
    file instead.
  * Added a small README.Debian file.

 -- Roland Mas <lolando@debian.org>  Tue, 24 Apr 2001 14:23:20 +0200

edict-el (1.06-1) unstable; urgency=low

  * Initial Release.

 -- Roland Mas <lolando@debian.org>  Sat, 21 Apr 2001 22:36:31 +0200

 

=== debian/control ===
Source: edict-el
Section: lisp
Priority: optional
Maintainer: Roland Mas <lolando@debian.org>
Build-Depends-Indep: debhelper (>= 7.0.50~)
Standards-Version: 3.9.5
Vcs-Browser: https://salsa.debian.org/emacsen-team/edict-el
Vcs-Git: https://salsa.debian.org/emacsen-team/edict-el.git
Rules-Requires-Root: no

Package: edict-el
Architecture: all
Depends: emacs | emacsen, edict, ${misc:Depends}
Description: Emacs interface to Edict
 This package provides edict.el and associated files, thus allowing
 to query the Edict Japanese-English dictionary from within Emacs.
 .
 Using the region and couple of keystrokes, edict.el will look up the
 Japanese key and return all the Edict entries containing that key, in
 a pop-up buffer.  English is even easier, you just put point anywhere
 in the word you want to look up.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
override_dh_auto_clean:
override_dh_auto_test:
override_dh_auto_install:

%:
	dh $@
